List support tickets
GET /helpdesk/tickets Support tickets: read
Example
curl https://app.msmepulse.com/api/v1/helpdesk/tickets \
-H "Authorization: Bearer $MSMEPULSE_TOKEN"
Answers 200 with the same data the MSMEPulse web app shows for it.
Open a ticket
POST /helpdesk/tickets Support tickets: read and write
Request body
| Field | Type | Required | Notes |
|---|---|---|---|
subject | string | Yes | 4–200 characters |
body | string | Yes | 1–20000 characters |
type | "question" | "problem" | "request" | "complaint" | "other" | default "question" | |
priority | "low" | "normal" | "high" | "urgent" | default "normal" | |
channel | "email" | "phone" | "internal" | default "phone" | |
clientId | string or null | ||
projectId | string or null | ||
assigneeId | string or null | ||
contactName | string | up to 120 characters | |
contactEmail | "" or string |
Example
curl -X POST https://app.msmepulse.com/api/v1/helpdesk/tickets \
-H "Authorization: Bearer $MSMEPULSE_TOKEN" \
-H "Content-Type: application/json" \
-d '{"subject":"subject value","body":"body value"}'
Answers 200 with the same data the MSMEPulse web app shows for it.
Ticket statuses, priorities, categories and the support team
GET /helpdesk/meta Support tickets: read
Example
curl https://app.msmepulse.com/api/v1/helpdesk/meta \
-H "Authorization: Bearer $MSMEPULSE_TOKEN"
Answers 200 with the same data the MSMEPulse web app shows for it.
Projects a ticket can be linked to
GET /helpdesk/projects Support tickets: read
Example
curl https://app.msmepulse.com/api/v1/helpdesk/projects \
-H "Authorization: Bearer $MSMEPULSE_TOKEN"
Answers 200 with the same data the MSMEPulse web app shows for it.
Get a ticket, with its messages
GET /helpdesk/tickets/{id} Support tickets: read
id
Example
curl https://app.msmepulse.com/api/v1/helpdesk/tickets/{id} \
-H "Authorization: Bearer $MSMEPULSE_TOKEN"
Answers 200 with the same data the MSMEPulse web app shows for it.
Update a ticket (status, priority, assignee…)
PATCH /helpdesk/tickets/{id} Support tickets: read and write
id
Request body
| Field | Type | Required | Notes |
|---|---|---|---|
subject | string | 4–200 characters | |
type | "question" | "problem" | "request" | "complaint" | "other" | ||
priority | "low" | "normal" | "high" | "urgent" | ||
status | "open" | "pending" | "resolved" | "closed" | ||
assigneeId | string or null | ||
projectId | string or null |
Example
curl -X PATCH https://app.msmepulse.com/api/v1/helpdesk/tickets/{id} \
-H "Authorization: Bearer $MSMEPULSE_TOKEN" \
-H "Content-Type: application/json" \
-d '{"subject":"subject value","type":"question","priority":"low"}'
Answers 200 with the same data the MSMEPulse web app shows for it.
Reply on a ticket, or add an internal note
POST /helpdesk/tickets/{id}/reply Support tickets: read and write
id
Request body
| Field | Type | Required | Notes |
|---|---|---|---|
body | string | Yes | 1–20000 characters |
internal | boolean | default false | |
status | "open" | "pending" | "resolved" | "closed" |
Example
curl -X POST https://app.msmepulse.com/api/v1/helpdesk/tickets/{id}/reply \
-H "Authorization: Bearer $MSMEPULSE_TOKEN" \
-H "Content-Type: application/json" \
-d '{"body":"body value"}'
Answers 200 with the same data the MSMEPulse web app shows for it.
Link a ticket to a client
POST /helpdesk/tickets/{id}/client Support tickets: read and write
id
Request body
| Field | Type | Required | Notes |
|---|---|---|---|
clientId | string | Yes |
Example
curl -X POST https://app.msmepulse.com/api/v1/helpdesk/tickets/{id}/client \
-H "Authorization: Bearer $MSMEPULSE_TOKEN" \
-H "Content-Type: application/json" \
-d '{"clientId":"65f0c2a1b4e8d9f0a1b2c3d4"}'
Answers 200 with the same data the MSMEPulse web app shows for it.
Merge a ticket into another
POST /helpdesk/tickets/{id}/merge Support tickets: read and write
id
Request body
| Field | Type | Required | Notes |
|---|---|---|---|
into | integer | Yes |
Example
curl -X POST https://app.msmepulse.com/api/v1/helpdesk/tickets/{id}/merge \
-H "Authorization: Bearer $MSMEPULSE_TOKEN" \
-H "Content-Type: application/json" \
-d '{"into":1}'
Answers 200 with the same data the MSMEPulse web app shows for it.
Support desk report: volumes and SLA
GET /helpdesk/report Support tickets: read
Example
curl https://app.msmepulse.com/api/v1/helpdesk/report \
-H "Authorization: Bearer $MSMEPULSE_TOKEN"
Answers 200 with the same data the MSMEPulse web app shows for it.